Rust Search

Find the best content on Rust, curated by the community; a search engine for Rustaceans.
github.com
Object Identifier (OID) database
Crate v0.9.0-beta.1 2025-04-14
github.com
Derive macros for the `asn1-rs` crate
Crate v0.7.0 2025-04-14
github.com
Implementation details for the `asn1-rs` crate
Crate v0.3.0 2025-04-14
github.com
Fork identifier for chain compatibility checks
Crate v0.2.0 2025-04-09
github.com
Defines SoR (self-or-ref) and SoM (self-or-mut) traits that are useful in reducing code duplication and pushing forward the ownership transfer decision from the type designer to the consumer.
Crate v1.2.0 2025-04-05
github.com
Derive diesel boilerplate for using enums in databases
Crate v3.0.0-beta.1 2025-03-25
github.com
Summary This RFC adds three new attributes: • #![register_lint_tool(tool_name)] allows controlling namespaced lints with #[warn(tool_name::lint_name)]. • #![register_attribute_tool(tool_name)] allows using tool names in inert attributes wit...
RFC 3808 RFC 2025-03-22 ~16 min read
github.com
A crate for printing tables on command line
Crate v0.5.0 2025-03-18
github.com
Helper macros for Rusticata
Crate v5.0.0 2025-03-17
github.com
## Summary [summary]: #summary `--crate-attr` allows injecting crate-level attributes via the command line. It is supported by all the official rustc drivers: Rustc, Rustdoc, Clippy, Miri, and Rustfmt. Rustdoc extends it to doctests, discus...
RFC 3791 RFC 2025-03-16 ~9 min read
github.com
Run Multithreaded Rust along with Dart VM (in isolate).
Crate v0.1.27 2025-03-11
github.com
Code supporting protobuf implementation. None of code in this crate is public API.
Crate v3.7.2 2025-03-10
github.com
Parse `.proto` files. Files are parsed into a `protobuf::descriptor::FileDescriptorSet` object using either: * pure rust parser (no dependencies) * `protoc` binary (more reliable and compatible with Google's implementation)
Crate v3.7.2 2025-03-10
github.com
A Rust language binding for the PulseAudio libpulse-simple library.
Crate v2.29.0 2025-03-03
github.com
FFI bindings for the PulseAudio libpulse-simple system library.
Crate v1.22.0 2025-03-03
github.com
An async client for Redis and Valkey.
Crate v10.1.0 2025-02-27
github.com
Log rotation for files
Crate v0.8.0 2025-02-27
github.com
Sets and maps of ranges, backed by smallvec
Crate v0.4.6 2025-02-26
github.com
## Summary [summary]: #summary Deprecate `lib.edition`, etc in favor of only setting `package.edition`, removing the fields in the next Edition. ## Motivation [motivation]: #motivation Cargo supports setting the edition per-build-target: ``...
RFC 3772 RFC 2025-02-13 ~5 min read
github.com
## Summary [summary]: #summary Demote target `i686-pc-windows-gnu` from Tier 1 to Tier 2 (with host tools) to better reflect its current maintenance and usage status. ## Motivation [motivation]: #motivation ### Background Rust has supported...
RFC 3771 RFC 2025-02-11 ~8 min read
"And even if you could fix all of rustc's soundness holes, or otherwise prevent user code from exploiting them, a soundness bug in any third-party libr..."

Search tips

Type anything to search across articles, videos (including conference talks), podcasts, research, crates, and Rust API documentation. These operators give you finer control — click an example to try it.

Find pages containing all your words. Pages where the words appear together rank higher.
Quote part of your query to keep those words together as an exact phrase within a larger search.
Wrap the whole query in quotes for a verbatim search that matches text exactly, punctuation and all — perfect for Rust syntax. Needs at least 3 characters.
Put ! first to open the top result immediately. Quote the whole query for a literal leading bang, as in '!Send'. Bangs elsewhere, such as println!, stay literal. Browser and launcher shortcuts can invoke this directly. See search integrations.
Limit results to a single site. Works on its own () too. One site: per search.

Use the tabs and filters above the results to narrow by content type, publication year, and sort order.